%define upstream_name    lib-abs
%define upstream_version 0.93

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Get pathname of current working directory
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/lib/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Cwd) >= 3.120.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(Test::More)
BuildArch:  noarch

Provides:   perl(lib::abs)

%description
The main reason of this library is transformate relative paths to absolute
at the 'BEGIN' stage, and push transformed to '@INC'. Relative path basis
is not the current working directory, but the location of file, where the
statement is (caller file). When using common 'lib', relative paths stays
relative to curernt working directory,

	# For ex:
	# script: /opt/scripts/my.pl
	use lib::abs '../lib';

	# We run `/opt/scripts/my.pl` having cwd /home/mons
	# The @INC will contain '/opt/lib';

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%{make} test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.yml MYMETA.yml README ex
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.930.0-7pclos2017
- rebuild against updates

